<?php
/**
 *  2011-2020 DMConcept
 *
 *  @author    DMConcept <support@dmconcept.fr>
 *  @copyright 2020 DMConcept
 *  @license   Commercial
 */

/**
 * @since 1.5.0
 */

if (!defined('_CAN_LOAD_FILES_')) {
    exit;
}


if (!class_exists('AntsRouteLogs')) {

    class AntsRouteLogs extends ObjectModel
    {

        public $id;
        public $date_send;
        public $date_receive;
        public $response_data;
        public $url;
        public $method;
        public $params;
        public $http_code;


        public static $definition
            = array(
                'table'     => 'antsroute_logs',
                'primary'   => 'id',
                'multilang' => false,
                'fields'    => array(
                    /* Classic fields */
                    'id'            => array(
                        'type'     => self::TYPE_INT,
                        'validate' => 'isUnsignedId'
                    ),
                    'date_send'     => array(
                        'type'     => self::TYPE_DATE,
                        'validate' => 'isDate'
                    ),
                    'date_receive'  => array(
                        'type'     => self::TYPE_DATE,
                        'validate' => 'isDate'
                    ),
                    'response_data' => array(
                        'type'     => self::TYPE_STRING,
                        'validate' => 'isString'
                    ),
                    'url'           => array(
                        'type'     => self::TYPE_STRING,
                        'validate' => 'isString',
                    ),
                    'method'        => array(
                        'type'     => self::TYPE_STRING,
                        'validate' => 'isString',
                    ),
                    'params'        => array(
                        'type'     => self::TYPE_STRING,
                        'validate' => 'isString',
                    ),
                    'http_code'     => array(
                        'type' => self::TYPE_INT,
                    ),
                )
            );
    }
}
