<?php
/**
 *  2011-2020 DMConcept
 *
 *  @author    DMConcept <support@dmconcept.fr>
 *  @copyright 2020 DMConcept
 *  @license   Commercial
 */

require_once _PS_MODULE_DIR_ . 'antsroute/classes/AntsRouteLogs.php';

class AdminAntsRouteLogsController extends ModuleAdminController
{
    public $name = "AdminAntsRouteLogs";




    public function __construct()
    {
        $this->bootstrap = true;
        $this->module = 'antsroute';
        $this->lang = false;
        $this->table = 'antsroute_logs';
        $this->className = 'AntsRouteLogs';
        $this->identifier = 'id';

        parent::__construct();
    }

    public function initToolbar()
    {
        $linkTruncateLogs = Context::getContext()->link->getAdminLink('AdminAntsRouteLogs', false)
            .'?action=truncate'.'&token='.$this->token;

        $this->page_header_toolbar_btn['empty_logs'] = array(
            'desc' => $this->l('Empty logs'),
            'href' => $linkTruncateLogs,
            'icon' => 'process-icon-delete',
        );
        return parent::initToolbar();
    }

    public function postProcess()
    {
        if (Tools::getValue('action', '') === 'truncate') {
            Db::getInstance()->execute('TRUNCATE TABLE '._DB_PREFIX_.AntsRouteLogs::$definition['table']);
        }
        return parent::postProcess();
    }


    public function renderList()
    {

        $this->fields_list = array(
            'id'              => array(
                'title'  => $this->l('ID'),
                'search' => false,
                'type'   => 'text',
            ),
            'url'              => array(
                'title'  => $this->l('URL'),
                'search' => false,
                'type'   => 'text',
            ),
            'method'              => array(
                'title'  => $this->l('Method'),
                'search' => false,
                'type'   => 'text',
            ),
            'date_send'              => array(
                'title'  => $this->l('Date send'),
                'search' => false,
                'type'   => 'text',
            ),
            'date_receive'              => array(
                'title'  => $this->l('Date receive'),
                'search' => false,
                'type'   => 'text',
            ),
            'params'              => array(
                'title'  => $this->l('Request Data'),
                'search' => false,
                'type'   => 'text',
            ),
            'response_data'              => array(
                'title'  => $this->l('Response data'),
                'search' => false,
                'type'   => 'text',
            ),
            'http_code'              => array(
                'title'  => $this->l('HTTP Status'),
                'search' => false,
                'type'   => 'text',
            ),

        );


        return parent::renderList();
    }

    public function renderForm()
    {
    }
}
