/**
* 2011-2020 DMConcept
*
*  @author    DMConcept <support@dmconcept.fr>
*  @copyright 2020 DMConcept
*   @license   Commercial
*/

let antsrouteOrder = {

    constants: {
        url: '#antsroute_url',
        successMessage: "#antsroute_success_message",
        errorMessage: "#antsroute_error_message",
        antsrouteState: '#antsroute_state'
    },

    htmlElements: {
        $sendAntsRouteOrderButton: '#resend_antsroute_order',
        $message: '#antsroute-display-message',
        $indicator: '#antsroute-indicator',
        $warning: '#antsroute-display-warning',
        $deliveryDate: '#antsroute-delivery-date',
    },

    initConstants() {
        for (var key in this.constants) {
            this.constants[key] = $(this.constants[key]).val();
        }
    },

    initHtmlElements() {
        for (var key in this.htmlElements) {
            this.htmlElements[key] = $(this.htmlElements[key]);
        }
    },

    init() {
        this.initConstants();
        this.initHtmlElements();

        if (this.constants.antsrouteState.length) {
            this.htmlElements.$deliveryDate.show();
        }


        antsrouteOrder.htmlElements.$sendAntsRouteOrderButton.click(function () {
            $.ajax({
                type: 'POST',
                async: true,
                url: '',
                dataType: 'JSON',
                data: {
                    ajax: true,
                    action: 'sendOrder',
                    id_order: antsrouteOrder.htmlElements.$sendAntsRouteOrderButton.data('order'),
                },
                success: function (response) {
                    if (response.success) {
                        antsrouteOrder.htmlElements.$message.html(response.state);
                        antsrouteOrder.htmlElements.$deliveryDate.find('span').first().html(response.deliveryDate);
                        antsrouteOrder.htmlElements.$deliveryDate.show();
                        antsrouteOrder.htmlElements.$indicator.addClass('valid');
                        antsrouteOrder.htmlElements.$sendAntsRouteOrderButton.hide();
                        antsrouteOrder.htmlElements.$warning.hide();
                        $.growl.notice({title: "", message: antsrouteOrder.constants.successMessage});
                    } else {
                        $.growl.error({title: "", message: antsrouteOrder.constants.errorMessage});
                    }
                },
                error: function (err) {
                    console.log(err);
                    $.growl.error({title: "", message: antsrouteOrder.constants.errorMessage});
                }
            });
        });

    },



};

$(document).ready(function () {
    antsrouteOrder.init();
});

